Skip to main content
GET
List payments

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string | null

The unique identifier of the company to list payments for.

Example:

"biz_xxxxxxxxxxxxxx"

direction
enum<string> | null

The sort direction for ordering results, either ascending or descending.

Available options:
asc,
desc
order
enum<string> | null

The field to order results by, such as creation date.

Available options:
final_amount,
created_at,
paid_at
product_ids
string[] | null

Filter payments to only those associated with these specific product identifiers.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

billing_reasons
enum<string>[] | null

Filter payments by their billing reason.

The reason why a specific payment was billed

Available options:
subscription_create,
subscription_cycle,
subscription_update,
one_time,
manual,
subscription
currencies
enum<string>[] | null

Filter payments by their currency code.

The available currencies on the platform

Available options:
usd,
sgd,
inr,
aud,
brl,
cad,
dkk,
eur,
nok,
gbp,
sek,
chf,
hkd,
huf,
jpy,
mxn,
myr,
pln,
czk,
nzd,
aed,
eth,
ape,
cop,
ron,
thb,
bgn,
idr,
dop,
php,
try,
krw,
twd,
vnd,
pkr,
clp,
uyu,
ars,
zar,
dzd,
tnd,
mad,
kes,
kwd,
jod,
all,
xcd,
amd,
bsd,
bhd,
bob,
bam,
khr,
crc,
xof,
egp,
etb,
gmd,
ghs,
gtq,
gyd,
ils,
jmd,
mop,
mga,
mur,
mdl,
mnt,
nad,
ngn,
mkd,
omr,
pyg,
pen,
qar,
rwf,
sar,
rsd,
lkr,
tzs,
ttd,
uzs,
rub,
btc,
cny,
usdt,
kzt,
awg,
whop_usd,
xau
plan_ids
string[] | null

Filter payments to only those associated with these specific plan identifiers.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

statuses
enum<string>[] | null

Filter payments by their current status.

The status of a receipt

Available options:
draft,
open,
paid,
pending,
uncollectible,
unresolved,
void
substatuses
enum<string>[] | null

Filter payments by their current substatus for more granular filtering.

The friendly status of a payment. This is a derived status that provides a human-readable summary of the payment state, combining the underlying status and substatus fields.

Available options:
succeeded,
pending,
failed,
past_due,
canceled,
price_too_low,
uncollectible,
refunded,
auto_refunded,
partially_refunded,
dispute_warning,
dispute_needs_response,
dispute_warning_needs_response,
resolution_needs_response,
dispute_under_review,
dispute_warning_under_review,
resolution_under_review,
dispute_won,
dispute_warning_closed,
resolution_won,
dispute_lost,
dispute_closed,
resolution_lost,
drafted,
incomplete,
unresolved,
open_dispute,
open_resolution
include_free
boolean | null

Whether to include payments with a zero amount.

created_before
string<date-time> | null

Only return payments created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time> | null

Only return payments created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

updated_before
string<date-time> | null

Only return payments last updated before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

updated_after
string<date-time> | null

Only return payments last updated after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

query
string | null

Search payments by user ID, membership ID, user email, name, or username. Email filtering requires the member:email:read permission.

checkout_configuration_ids
string[] | null

Only return payments from these checkout configurations.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

Response

A successful response

The connection type for Receipt.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.